Subject: Re: [GENERAL] CPU move
From: Frank Lanitz <[email-masked]>
To: [email-masked]
Date: Sun, 27 Nov 2011 10:59:13 +0100
List-Id: <pgsql-general.postgresql.org>

Am 26.11.2011 19:18, schrieb Carlos Henrique Reimer:
> Hi,
> 
> We're planning to move our postgreSQL database from one CPU box to
> another box.
> 
> I'm considering an alternative procedure for the move as the standard
> one (pg_dump from the old, copy dump to the new box, psql to restore in
> the new) will take about 10 hours to complete. The ideia is installing
> the same Linux and PostgreSQL versions in the new box and copy the
> entire database cluster directory from the old to the new one using the
> scp Linux command.

If you are using the same architecture you could use the warm-standby
procedure for doing the sync and then switching the system. There is
pg_standby available for.

Cheers,
Frank